# Media store add

An action block that adds files to the media store so they show up in the Gallery and Music app.

The fiber will pause until all files has been scanned.

An alternative to this block is to use the Broadcast send block with action Media scanner scan file and Data URI with an `file://` URI to the path, e.g. `fileUri(path,"f")`

## Input arguments

- Path — path to an file, or a directory to recursively, scan for media files.